package org.processmining.plugins.resourcePattern;



public class ConstantValues {
	//Configuration string
	public static final String paramName01startDate = "startDate";
	public static final String paramName02endDate = "endDate";
	public static final String paramName03HeadType = "headType";
	public static final String paramName03ATailType = "tailType";
	public static final String paramName04ResourceAnalysisType = "resourceAnalysisType";
	public static final String paramName_QScopeType = "qscopeType";
	public static final String paramName_QQueueType = "qqueueType";
	public static final String paramName_QPriorityAttribute = "qqpriorityAttribute";
	
	public static final String paramDesc01startDate = "Earliest event date to analyze (dd-mm-yyyy)";
	public static final String paramDesc02endDate = "Latest event date to analyse (dd-mm-yyyy)";
	public static final String paramDesc03HeadType = "Which transaction type to represent the beginning of a work item?";
	public static final String paramDesc03ATailType = "Which transaction type to represent the end of a work item?";
	public static final String paramDesc04ResourceAnalysisType = "Please choose the type of resource analysis:";
	public static final String paramDesc_QScopeType = "Please choose the scope of your queue analysis:";
	public static final String paramDesc_QQueueType = "Please select the type of queue to investigate";
	public static final String paramDesc_QPriorityAttribute = "Please select the attribute (for Priority Queue only)";
	
	//Enumerate basic event field type
	public static final String caseID = "caseID";
	public static final String activity = "activity";
	public static final String resource = "resource";
	public static final String resourceGroup = "resourceGroup";
	public static final String timestamp = "timestamp";
	public static final String transition = "transition";
	
	public static final String resourceDecisionTreeText = "Resource Analysis through Decision Tree";
	public static final String resourceEfficiencyAnalysisText = "Resource Analysis through Event Gap";
	public static final String resourceQueueAnalysisText = "Resource Work Queue Analysis";
	
	//Enumerate gap analysis type
	public static final String resourceGapType = "resourceGap";
	public static final String caseGapType = "caseGap";
	//public static final String resourceGroupGapType = "resourceGroupGap";
	public static final String minimumGapType = "minGap";
	public static final String resourceCaseBusyGapType = "resourceCaseBusyGap";
	public static final String caseResourceGapText = "caseResourceGap";
	public static final String resourceCaseGapText = "resourceCaseGap";
		
	public static final String activityGapType = "activityGap";	
	public static final String taskGapType = "taskGap";
	public static final String sojournGapType = "sojournGap";	
	public static final String shelfGapType = "shelfGap";
	public static final String assignmentGapType = "assignmentGap";	
	public static final String launchGapType = "launchGap";
	
	public static final String activityIdleGapType = "activityIdleGap";
	public static final String minShelfGapType = "minimumShelfGap";
	public static final String assignmentIdleGapType = "assignmentIdleGap";
	public static final String minLaunchGapType = "minimumLaunchGap";	
	public static final String scheduleIdleGapType = "scheduleIdleGap";
	public static final String gap = "gap";
	
	//Enumerate gap analysis type desc
	public static final String resourceGapTypeDesc = "Resource Gap";
	public static final String caseGapTypeDesc = "Case Gap";
	//public static final String resourceGroupGapTypeDesc = "Resource Group Gap";
	public static final String minimumGapTypeDesc = "Working Gap";
	public static final String caseResourceGapTypeDesc = "Case Waiting Gap";
	public static final String resourceCaseGapTypeDesc = "Resource Waiting Gap";
	
	public static final String activityGapTypeDesc = "Activity Gap";
	public static final String taskGapTypeDesc = "Task Gap";
	public static final String sojournGapTypeDesc = "Sojourn Gap";	
	public static final String shelfGapTypeDesc = "Shelf Gap";
	public static final String assignmentGapTypeDesc = "Assignment Gap";	
	public static final String launchGapTypeDesc = "Launch Gap";
	
	public static final String minimumCompleteGapType = "Minimum Gap Complete";
	public static final String activityIdleGapTypeDesc = "Activity Idle Gap";
	public static final String minShelfGapTypeDesc = "Minimum Shelf Gap";
	public static final String assignmentIdleGapTypeDesc = "Assignment Idle Gap";
	public static final String minLaunchGapTypeDesc = "Minimum Launch Gap";	
	public static final String scheduleIdleGapTypeDesc = "Schedule Idle Gap";
		
	//Analysis type
	public static final String metric ="Metrics/Statistics"; 
	public static final String decisionTree = "Decision Tree";
	public static final String evolution = "Gaps Evolution Over Time";
	
	public static final String metricAvg = "Mean Gap Duration";
	public static final String metricStdDev = "Standard Deviation of Gap Duration";
	
	public static final String enrichedEvent = "enrichedEvent";
	
	//Option Panel parameter name
	public static final String chosenGapType = "chosenGapType";
	public static final String chosenGroupBy = "chosenGroupBy";
	public static final String chosenAnalysisType = "chosenAnalysisType";
	public static final String chosenMetricType = "chosenMetricType";
	public static final String chosenPredictorVariables = "chosenPredictorVariables";
	public static final String chosenWindowsLength = "chosenWindowsLength";
	public static final String isMovingAverage = "isMovingAverage";
	public static final String isDurationEvolution = "isDurationEvolution";
	public static final String isUniqueGapOnly = "isUniqueGapOnly";
	public static final String selectedGroupByKeys = "selectedGroupByKeys";
	public static final String secondaryGaps = "secondaryGaps";
	public static final String chosenEvolutionCycle = "evolutionCycle";
	public static final String isResetGap = "isResetGap";
	public static final String none = "none";
	//public static final String filePath = "W:\\SuncorpLogs\\workingJessicaData_suriadi\\phase2\\" +
	//		"Request_419_ProcessMining_Phase2_Total\\result\\eventGapAnalysis\\plugInOutput";
	

	//public static final String filePath = "C:\\Users\\suriadi\\Work_NonCritical\\eventGapAnalysis\\plugInOutput";
	public static String filePath = ".\\";
	//public static final String filePath = "C:\\Users\\suriadi\\Work\\eventGapAnalysis\\plugInOutput";
	//public static final String filePath = "/home/ahuat/eventGapAnalysis/plugInOutput";

	
	
			//SuncorpLogs\\workingJessicaData_suriadi\\phase2\\" +
		//		"Request_419_ProcessMining_Phase2_Total\\result\\logEnrich";
	
	
	public static final String daily = "daily";
	public static final String weekly = "weekly";
	public static final String monthly = "monthly";
	public static final String yearly = "yearly";
	public static final String noCycle = "no cycle";
	
	public static final String halfHour = "30 mins";
	public static final String oneHour = "1 hour";
	public static final String twoHour = "2 hours";
	public static final String threeHour = "3 hours";
	public static final String fourHour = "4 hours";
	public static final String sixHour = "6 hours";
	public static final String eightHour = "8 hours";
	public static final String halfDay = "12 hours";
	public static final String oneDay = "24 hours";
	
	public static final String endGapPosition = "endGapPosition";
	public static final String startGapPosition = "startGapPosition"; 
	public static final String startResourcePosition = "startResourcePosition";
	public static final String startCasePosition = "startCasePosition";
	public static final String groupByKeyPosition = "groupByKeyPosition";
	public static String getFilePath() {
		return filePath;
	}
	public static void setFilePath(String filePath) {
		ConstantValues.filePath = filePath;
	}
	
	public static final String queueTypeFIFO = "FIFO";
	public static final String queueTypeLIFO = "LIFO";
	public static final String queueTypePriority = "Priority Queue";
	public static final String queueTypePriorit_AlphabeticFIFO = "alphabeticFIFO";
	public static final String scopeTypeWorkload = "workload";
	public static final String scopeTypeActivity = "activity";
	public static final String scopeTypeCase = "case";
	
	public static final String chosenQueueTypeOption = "chosenQueueOption";
	public static final String chosenScopeTypeOption = "chosenScopeOption";
	public static final String chosenBeginTypeOption = "beginType";
	public static final String chosenEndTypeOption = "endType";
	public static final String chosenPriorityAttributeNameOption = "chosenPriorityAttribute";
	public static final String chosenGroupByChoice = "chosenGroupByChoice";
	public static final String chosenForgetFactor = "chosenForgetFactor";
	public static final String chosenQueueOneTreatment = "chosenQueueOneTreatment";
	
	public static final String noFF = "No forget factor";
	public static final String normalFF = "Normal Distribution";
	public static final String expFF = "Exponential";
	public static final String poissonFF = "Poisson Distribution";
	public static final String logisticExpFF = "logisticExp";
	public static final String numberEFF = "logNormal";
	
	public static final String normalCaluclation = "normal Calculation";
	public static final String ignoreCalculation = "ignore Calculation";
	public static final String halfMarkCalculation = "half mark calculation";
	
	public static final String xesCaseID = "concept:name";
	public static final String xesActivityName="concept:name";
	public static final String xesResource = "org:resource";
	public static final String xesTransition ="lifecycle:transition";
	public static final String xesTS = "time:timestamp";
	public static final String xesGroup = "org:group";
	
	public static final String originalScoreGraph = "originalScoreGraph";
	public static final String adjustedScoreGraph = "adjustedScoreGraph";
	public static final String movingAverageAdjustedScoreGraph = "movingAverageAdjustedScoreGraph";
	
	//public static final String fileLocation = "D:\\Dropbox\\resourcePattern\\approach3_prom\\output";
	//public static final String fileLocation = ".\\";
	public static final String fileLocation = System.getProperty("user.dir");
}
