package org.processmining.plugins.resourcePattern.queueAnalysis;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.TreeMap;
import java.util.TreeSet;

import org.processmining.plugins.resourcePattern.ActivityInstance;
import org.processmining.plugins.resourcePattern.WorkItem;
import org.processmining.plugins.resourcePattern.utility.Event;

public class FIFOAnalysis extends QueueAssessment {

	public FIFOAnalysis(HashMap<String, ArrayList<Event>> scopeItems, String startType, String endType, String queueOneTreatment) {
		super(scopeItems, startType, endType, queueOneTreatment);
		
	}

	public Integer getExpectedOutputPosition(TreeMap<WorkItem, Integer> inQueue,
			TreeMap<Integer, ActivityInstance> outputScoreList) {
		TreeSet<Integer> theValues = this.getValuesAsTreeSet(inQueue);
		//Collections.sort(theValues);
		return theValues.first();
	}

	public Integer getFurthestOutputPosition(TreeMap<WorkItem, Integer> inQueue,
			TreeMap<Integer, ActivityInstance> outputScoreList) {
		TreeSet<Integer> theValues = this.getValuesAsTreeSet(inQueue);
		/*Collections.sort(theValues);
		Iterator<Integer> iterator = theValues.iterator();
		Integer maxValue=null;
		while(iterator.hasNext()) {
			maxValue = iterator.next();
		}*/
		return theValues.last();
	}

	public Integer getClosestOutputPosition(TreeMap<WorkItem, Integer> inQueue,
			TreeMap<Integer, ActivityInstance> activityList) {
		TreeSet<Integer> theValues = this.getValuesAsTreeSet(inQueue);
		return theValues.first();
	}

}
