package org.processmining.plugins.resourcePattern.presentation;

import java.awt.Dimension;

import javax.swing.JComponent;
import javax.swing.JLabel;

import org.processmining.framework.util.ui.widgets.ProMPropertiesPanel;

import com.fluxicon.slickerbox.components.RoundedPanel;

public class ConfigurationPanel extends ProMPropertiesPanel {
	public ConfigurationPanel(String title) {
		super(title);
	}

	@Override
	protected RoundedPanel packInfo(final String name, final JComponent component)
	{
		RoundedPanel newPanel = super.packInfo(name, component);
		JLabel nameLabel = (JLabel) newPanel.getComponent(1);
		nameLabel.setMinimumSize(new Dimension(300, 20));
		nameLabel.setMaximumSize(new Dimension(300, 1000));
		nameLabel.setPreferredSize(new Dimension(300, 30));	
		return newPanel;
	}
}
